AquaMapsPortlet (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.client

## Class AquaMapsPortlet

- java.lang.Object
- - org.gcube.application.aquamaps.aquamapsportlet.client.AquaMapsPortlet

- All Implemented Interfaces:
    com.google.gwt.core.client.EntryPoint

      public class AquaMapsPortlet
      extends Object
      implements com.google.gwt.core.client.EntryPoint

  Entry point classes define `onModuleLoad()`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `AdvancedGenerationPanel` | `advGeneration`
    `DiscoveringPanel` | `discoveringPanel`
    `EnvelopeGridsPanel` | `envelopeCustomization`
    `static AquaMapsPortletLocalServiceAsync` | `localService` This is the entry point method.
    `com.gwtext.client.widgets.TabPanel` | `mainPanel`
    `static AquaMapsPortletRemoteServiceAsync` | `remoteService`
    `SpeciesSelectionPanel` | `species`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AquaMapsPortlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AquaMapsPortlet` | `get()`
    `com.gwtext.client.widgets.Tool` | `getHelpTool(String url)`
    `String` | `getSessionID()`
    `void` | `hideLoading(String elementId)`
    `void` | `notifyError(String msg)`
    `void` | `onModuleLoad()`
    `void` | `onModuleLoad2()`
    `protected void` | `printData()`
    `void` | `showLoading(String message, String elementId)`
    `void` | `showMessage(String msg)`
    `void` | `updateSize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localService

          public static AquaMapsPortletLocalServiceAsync localService

      This is the entry point method.

    - #### remoteService

          public static AquaMapsPortletRemoteServiceAsync remoteService

    - #### mainPanel

          public com.gwtext.client.widgets.TabPanel mainPanel

    - #### discoveringPanel

          public DiscoveringPanel discoveringPanel

    - #### advGeneration

          public AdvancedGenerationPanel advGeneration

    - #### species

          public SpeciesSelectionPanel species

    - #### envelopeCustomization

          public EnvelopeGridsPanel envelopeCustomization

  - ### Constructor Detail

    - #### AquaMapsPortlet

          public AquaMapsPortlet()

  - ### Method Detail

    - #### getSessionID

          public String getSessionID()

    - #### get

          public static AquaMapsPortlet get()

    - #### onModuleLoad

          public void onModuleLoad()

      Specified by:
        `onModuleLoad` in interface `com.google.gwt.core.client.EntryPoint`

    - #### onModuleLoad2

          public void onModuleLoad2()

    - #### updateSize

          public void updateSize()

    - #### printData

          protected void printData()

    - #### showLoading

          public void showLoading(String message,
                         String elementId)

    - #### hideLoading

          public void hideLoading(String elementId)

    - #### notifyError

          public void notifyError(String msg)

    - #### showMessage

          public void showMessage(String msg)

    - #### getHelpTool

          public com.gwtext.client.widgets.Tool getHelpTool(String url)

Copyright © 2014. All Rights Reserved.